#include "K15Power.h"
#include "VomitStateComponent.h"

class ADBDPlayer;

void AK15Power::OnLinkedVomitInteractionStarted()
{

}

void AK15Power::OnLinkedVomitInteractionFinished(ADBDPlayer* interactingPlayer, bool hasInteractionStarted)
{

}

AK15Power::AK15Power()
{
	this->_vomitStateComponent = CreateDefaultSubobject<UVomitStateComponent>(TEXT("VomitStateComponent"));
	this->_startWithSuperVomitActive = false;
}
